<?php

namespace AutoAdmin\Bundle\Media\Attributes;


use Attribute;

#[Attribute(Attribute::TARGET_PROPERTY)]
class LinkedMedia
{
    public function __construct(
        protected array $mappings = []
    ) {
    }

    public function setMappings(array $mappings): void
    {
        $this->mappings = $mappings;
    }

    public function getMappings(): array
    {
        return $this->mappings;
    }
}